from setuptools import setup, find_packages
from Configuration import Configuration
from Setup import Setup

class SetupOSX(Setup):

    def __init__(self):
	Setup.__init__(self)

    def setup(self):
        config = Configuration()
	setup_section = config.get_section("setup")
        version = setup_section["version"]
        name = self.translate_title()
        plist = dict(
            CFBundleIconFile=name,
            CFBundleName=name,
            CFBundleShortVersionString=version,
            CFBundleGetInfoString=' '.join([name, version]),
            CFBundleExecutable=name,
            CFBundleIdentifier='org.' + name.lower())
        setup(name=name,
              version=version,
              app=[dict(script=setup_section["init-script"], plist=plist)],
              setup_requires=["py2app"],
              options=dict(py2app=dict(arch="i386",)),
	      data_files=setup_section["osx-includes"]) 
